Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.emfspecificservice
Class EMFSpecificServiceImpl

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.emfspecificservice.EMFSpecificServiceImpl

All Implemented Interfaces:
  EMFSpecificService

    public class EMFSpecificServiceImpl

extends Object
implements EMFSpecificService

Implementation of `EMFSpecificService`.

Author:
  Lucas Koehler

Constructor Summary
`EMFSpecificServiceImpl()`

Method Summary
`org.eclipse.emf.edit.provider.IItemPropertyDescriptor` | `getIItemPropertyDescriptor(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`org.eclipse.emf.edit.provider.IItemPropertySource` | `getIItemPropertySource(org.eclipse.emf.ecore.EObject eObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFSpecificServiceImpl

    public EMFSpecificServiceImpl()

Method Detail

### getIItemPropertyDescriptor

    public org.eclipse.emf.edit.provider.IItemPropertyDescriptor getIItemPropertyDescriptor(org.eclipse.emf.ecore.EObject eObject,
                                                                                            org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Specified by:
    `getIItemPropertyDescriptor` in interface `EMFSpecificService`
  See Also:
    `EMFSpecificService.getIItemPropertyDescriptor(EObject, EStructuralFeature)`

### getIItemPropertySource

    public org.eclipse.emf.edit.provider.IItemPropertySource getIItemPropertySource(org.eclipse.emf.ecore.EObject eObject)

  Specified by:
    `getIItemPropertySource` in interface `EMFSpecificService`
  See Also:
    `EMFSpecificService.getIItemPropertySource(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.